#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 37. LXQt Desktop

- Prev

  kconfig-6.23.0 for lxqt

- Next

  kidletime-6.23.0 for lxqt

- Up
- Home

# solid-6.23.0 for lxqt

## Introduction to solid

Solid is a device integration framework. It provides a way of querying and interacting with hardware independently of the underlying operating system.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.23.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.23/solid-6.23.0.tar.xz

- Download MD5 sum: c84db21836589cbe499d788800f1e4bf

- Download size: 300 KB

- Estimated disk space required: 40 MB

- Estimated build time: 0.4 SBU (Using parallelism=4)

### solid Dependencies

#### Required

Extra-CMake-Modules-6.23.0 and Qt-6.11.0

#### Optional (runtime)

UDisks-2.11.1, UPower-1.91.2, libimobiledevice, and media-player-info

## Installation of solid

Install solid by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: solid-hardware6
Installed Library: libKF6Solid.so
Installed Directories: /usr/include/KF6/Solid and /usr/lib/cmake/KF6Solid

### Short Descriptions

solid-hardware6 | queries hardware information from the system
`libKF6Solid.so` | provides a way of querying and interacting with hardware independently of the underlying operating system

- Prev

  kconfig-6.23.0 for lxqt

- Next

  kidletime-6.23.0 for lxqt

- Up
- Home